from SloppyCell.ReactionNetworks import *

from Nets import *

traj1 = Dynamics.integrate(net1, [0, 72])
traj2 = Dynamics.integrate(net2, [0, 48])
traj3 = Dynamics.integrate(net3, [0, 1000])
traj4 = Dynamics.integrate(net4, [0, 96])
traj5 = Dynamics.integrate(net5, [0, 96])
traj6 = Dynamics.integrate(net6, [0, 96])
traj7 = Dynamics.integrate(net7, [0, 96])

Plotting.figure(1)
Plotting.plot_trajectory(traj1, ['Pt', 'Mp', 'Cn'])
Plotting.axis([0, 72, 0, 6])

Plotting.figure(2)
Plotting.plot_trajectory(traj2, ['Cn', 'CC', 'P0', 'P1', 'P2'])
Plotting.axis([0, 48, 0, 2.5])

Plotting.figure(3, (10, 8.5))
Plotting.subplot(3, 1, 1)
Plotting.plot_trajectory(traj3, ['Mp'])
Plotting.axis([0, 1000, 0, 2.0])
Plotting.subplot(3, 1, 2)
Plotting.plot_trajectory(traj3, ['Mt'])
Plotting.axis([0, 1000, 3, 8.0])
Plotting.subplot(3, 1, 3)
Plotting.plot_trajectory(traj3, ['Cn'])
Plotting.axis([0, 1000, .6, 1.8])

Plotting.figure(4, (10, 8.5))
Plotting.subplot(3, 2, 1)
Plotting.plot(traj4.get_times(), traj4.get_var_traj('Mp'), 'k-')
Plotting.plot(traj5.get_times(), traj5.get_var_traj('Mp'), 'k--')
Plotting.plot(traj4.get_times(), traj4.get_var_traj('Mt'), 'k-')
Plotting.plot(traj5.get_times(), traj5.get_var_traj('Mt'), 'k--')
Plotting.axis([0, 96, 0, 3.5])
Plotting.subplot(3, 2, 2)
Plotting.plot(traj6.get_times(), traj6.get_var_traj('Mp'), 'k-')
Plotting.plot(traj7.get_times(), traj7.get_var_traj('Mp'), 'k--')
Plotting.plot(traj6.get_times(), traj6.get_var_traj('Mt'), 'k-')
Plotting.plot(traj7.get_times(), traj7.get_var_traj('Mt'), 'k--')
Plotting.axis([0, 96, 0, 6.0])
Plotting.subplot(3, 2, 3)
Plotting.plot(traj4.get_times(), traj4.get_var_traj('Pt'), 'k-')
Plotting.plot(traj5.get_times(), traj5.get_var_traj('Pt'), 'k--')
Plotting.axis([0, 96, 0, 12.0])
Plotting.subplot(3, 2, 4)
Plotting.plot(traj6.get_times(), traj6.get_var_traj('Pt'), 'k-')
Plotting.plot(traj7.get_times(), traj7.get_var_traj('Pt'), 'k--')
Plotting.axis([0, 96, 1.0, 4.0])
Plotting.subplot(3, 2, 5)
Plotting.plot(traj4.get_times(), traj4.get_var_traj('Tt'), 'k-')
Plotting.plot(traj5.get_times(), traj5.get_var_traj('Tt'), 'k--')
Plotting.axis([0, 96, 1.0, 2.4])
Plotting.subplot(3, 2, 6)
Plotting.plot(traj6.get_times(), traj6.get_var_traj('Tt'), 'k-')
Plotting.plot(traj7.get_times(), traj7.get_var_traj('Tt'), 'k--')
Plotting.axis([0, 96, 2, 18])
